Organizations

Batch DNS re-verification for drift (internal)

AuthAPI Key
GroupOrganizations
Rate limitSee Rate Limits
POST/internal/domain-dns/recheck-batch

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.internalDomainDnsRecheckBatch(
  {
    maxOrgs: 26782,
    recheckOlderThanHours: 93659
  }
);
const { data: result } = await organizations.internalDomainDnsRecheckBatch(
  {
    maxOrgs: 26782,
    recheckOlderThanHours: 93659
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Get your API key from the console

No Request Yet

Send a request to see the full inspector

Authentication

Requires API Key
Note
Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →

Request Body

json
{
  "maxOrgs": 53456,
  "recheckOlderThanHours": 80681
}
{
  "maxOrgs": 53456,
  "recheckOlderThanHours": 80681
}

Responses

200Summary counts
Edit this page on GitHub